Subject: tb/midx-bitmap-corruption-fix (was: What's cooking in git.git (Jan 2022, #01; Mon, 3))

From: Taylor Blau <[email-masked]>
Date: Tue, 4 Jan 2022 12:32:54 -0500

On Mon, Jan 03, 2022 at 07:46:46PM -0800, Junio C Hamano wrote:
> * tb/midx-bitmap-corruption-fix (2021-12-23) 9 commits
>  - midx: read `RIDX` chunk when present
>  - t/lib-bitmap.sh: parameterize tests over reverse index source
>  - t5326: move tests to t/lib-bitmap.sh
>  - t5326: extract `test_rev_exists`
>  - t5326: drop unnecessary setup
>  - pack-revindex.c: instrument loading on-disk reverse index
>  - midx.c: make changing the preferred pack safe
>  - t5326: demonstrate bitmap corruption after permutation
>  - Merge branch 'tb/cruft-packs' into tb/midx-bitmap-corruption-fix
>  (this branch uses tb/cruft-packs.)
>
>  A bug that made multi-pack bitmap and the object order out-of-sync
>  (hence the .midx data gets corrupted) has been fixed.
>
>  What's the status of this thing?
>  source: <[email-masked]>

I have a small reroll that I'll send shortly which contains a minor
fixup and one new patch on top.

I'm assuming that the "uses tb/cruft-packs" is related to the two topics
both squatting on t5327's real estate? If so, feel free to eject the
cruft packs topic for this cycle, and we can look at it again after
2.35.

Otherwise, the version I am going to send is based off of dcc0cd074f
(The sixth batch, 2022-01-03) in your tree, so it should apply cleanly
onto master without the other topic.

Thanks,
Taylor